#%define __libtoolize /bin/true

Summary:        Editor for the file types database
Name:           assogiate
Version:        0.2.1
Release:        %mkrel 2
Group:          File tools
License:        GPLv2+
URL:            http://www.kdau.com/projects/assogiate/
Source0:        http://www.kdau.com/files/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libgnome-vfsmm2.6-devel
BuildRequires:  glibmm2.4-devel
BuildRequires:  libxml++-devel
BuildRequires:  libgtkmm2.4-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:    scrollkeeper
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper
Requires:        hicolor-icon-theme

%description
assoGiate allows users to modify the detection and display of file
types. It is compliant with the freedesktop.org Shared MIME Info and
Icon Theme specifications. The standard file types can be modified, 
and additional file types can be added and removed. The file type
detection based on filenames, file contents, and XML root elements
can be specified.

%prep
%setup -q

%build
autoreconf -fis
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
desktop-file-install --vendor="" \
  --remove-category="FileTools" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

%post
%{update_scrollkeeper}
%update_icon_cache hicolor
%{update_menus}

%postun
%{clean_scrollkeeper}
%clean_icon_cache hicolor
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPY* NEWS README TODO
%{_datadir}/man/man1/%{name}.1.*
%{_bindir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/omf/%{name}/

%changelog
* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.2.1-2pclos2010
- rebuild

* Fri May 15 2009 don_crissti <don_crissti@gmx.com> 0.2.1-1pclos2009
- build for PCLOS
